[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#569813: dh-kpatches: Can't fulfill its original purpose anymore (kernel-package dropped --added-patches)

Package: dh-kpatches
Version: 0.99.36
Severity: serious


according to the Description, the purpose of dh-kpatches is to produce patches
to be automatically usable by kernel-package:

 The dh_installkpatches script produces the "apply" and "unpatch" scripts
 that kernel-package uses to automatically handle kernel patches.

However, kernel-package dropped the option "--added-patches" around 09/2009.
Thus, dh-kpatches doesn't look very useful anymore.

The package would either need to be dropped or change its purpose somehow.

Thanks for considering.


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.31-1-486
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_GB.UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages dh-kpatches depends on:
ii  debhelper                     7.4.13     helper programs for debian/rules
ii  perl                          5.10.1-9   Larry Wall's Practical Extraction 

dh-kpatches recommends no packages.

Versions of packages dh-kpatches suggests:
ii  kernel-package                12.032     A utility for building Linux kerne

-- no debconf information

Reply to: